> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Data Recipient

> Use the /api/v1/recipients endpoint to add a new Data Recipient to the Open Banking API.

Use the `/api/v1/recipients` endpoint to add a new Data Recipient to the Open Banking API.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml POST /api/v1/recipients
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients:
    post:
      tags:
        - Outbound
      summary: Create a Data Recipient
      description: >-
        Use the /api/v1/recipients endpoint to add a new Data Recipient to the
        Open Banking API.
      operationId: createDataRecipient
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: >-
                    The name of the new Data Recipient. Enter it exactly as you
                    want customers to see it, using a maximum length of 256
                    characters.
                  maxLength: 256
                scope:
                  type: array
                  items:
                    type: string
                  default:
                    - ACCOUNT_BASIC
                  description: >
                    The scope of data that the Data Recipient collects from the
                    customer, and is populated on the consent screen. To work
                    with this Data Recipient, the customer must provide consent
                    to share the scope of data they require. Possible values
                    include the following:


                    ACCOUNT_BASIC = Basic account information (required)

                    ACCOUNT_DETAILED = Detailed account information

                    ACCOUNT_PAYMENTS = Payment information linked to the account

                    INVESTMENTS = Investment information linked to the account

                    TRANSACTIONS = Payment information linked to the account

                    STATEMENTS = PDF statements for the account

                    CUSTOMER_CONTACT = Contact information for the account

                    CUSTOMER_PERSONAL = Information about the customer who owns
                    the account

                    The scopes needs to be delimited by a space and they must
                    include ACCOUNT_BASIC at a minimum
                redirect_uris:
                  type: string
                  description: URL redirects for the Data Recipient, using an HTTPS scheme.
                logo_uri:
                  type: string
                  description: >-
                    A hyperlink to the Data Recipient's logo, using the HTTPS
                    scheme.
                country:
                  type: string
                  description: >-
                    Countries that the Data Recipient is registered in. Possible
                    values include: - `CA` - Canada - `US` - United States
                description:
                  type: string
                  description: >-
                    The description of the Data Recipient, using a maximum
                    length of 512 characters.
                  maxLength: 512
                terms_uri:
                  type: string
                  description: >-
                    A hyperlink to the terms of service between the customer and
                    the Data Recipient, using an HTTPS scheme. Must be
                    human-readable.
                client_uri:
                  type: string
                  description: >-
                    A hyperlink to the Data Recipient's corporate website, using
                    an HTTPS scheme.
                contacts:
                  type: array
                  items:
                    type: object
                  description: Point of contacts for the Data Recipient.
              example: {}
      responses:
        '201':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  client_id:
                    type: string
                  client_secret:
                    type: string
                  name:
                    type: string
                  logo_uri:
                    type: string
                  description:
                    type: string
                  terms_uri:
                    type: string
                  client_uri:
                    type: string
                  country:
                    type: string
                  redirect_uris:
                    type: array
                    items:
                      type: string
                  scope:
                    type: string
                  contacts:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: array
                          items:
                            type: string
              example:
                client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                client_secret: xxxxxxxxxxxxxxxxxxxxxx
                name: Flinks Fake
                logo_uri: https://flinks.fake.com/logo.png
                description: Description of Flinks Fake
                terms_uri: https://flinks.fake.com/callback/terms.html
                client_uri: https://flinks.fake.com
                country: CA
                redirect_uris:
                  - https://flinks.fake.com/callback
                scope: >-
                  ACCOUNT_BASIC ACCOUNT_DETAILED ACCOUNT_PAYMENTS INVESTMENTS
                  TRANSACTIONS STATEMENTS CUSTOMER_CONTACT CUSTOMER_PERSONAL
                contacts:
                  - email: john.doe@flinks.fake.com
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````